:root
{
  --dark-purple:  #482683;
  --light-purple: #554596;
  --dark-green:   #31B7BC;
  --light-green:  #88CDD3;
  --red:          #E73331;
  --navbar-color: #FFFFFF;
}


html, body
{
  font-family: 'Nunito', sans-serif;
  font-weight: normal;
  height: 100%;
  color: var(--dark-purple);
}

#app
{
  height: 100%;
}

.divLoading
{
  height:   100%;
  width:    100%;
  position: fixed; /* Stay in place */
  z-index:  1000000; /* Sit on top */
  left:     0;
  top:      0;
  background-color: rgb(0,0,0); /* Black fallback color */
  background-color: rgba(0,0,0, 0.7); /* Black w/opacity */
  overflow-x:       hidden; /* Disable horizontal scroll */
  transition:       0.5s;

  flex-direction: column;
  justify-content: center;
  display: flex;
}
#imgLoading
{
  width: 30px;
  height: 30px;
  margin: auto;
}

#divBackgroundLoading
{
  width: 60px;
  height: 60px;
  border-radius: 30px;
  background-color: white;
  margin: 0 auto;
  display: inline-flex;
}
#textLoading
{
  color: white;
  font-size: 14pt;
  font-weight: bolder;
  text-align: center;
}

.nav-brand-logo
{
  width: 100px;
}

.bwbcard
{
  font-weight: bold;
  color: var(--dark-purple);
}

/* -----------------------------------------------------------------------------
    Horizontal Navbar
 -----------------------------------------------------------------------------*/
.navbar
{
  background-color: var(--dark-purple) !important;
  color: white;
  flex-wrap: nowrap;
}
.navbar-brand
{
  color: var(--navbar-color) !important;
  font-size: 13pt;
}
.navbar-brand:hover
{
  color: var(--navbar-hover-color) !important;
}
.nav-link
{
  color: var(--navbar-color) !important;
}
.nav-link:hover
{
  color: var(--light-purple) !important;
}
.dropdown-item
{
  color: var(--dark-purple) !important;
}

.vertical > .nav-item
{
  margin-top: 10px;
  color: var(--dark-purple) !important;
}

.vertical > .nav-item > .nav-link
{
  padding: 0;
  margin-left: 10px;
  display: inline-flex;
  color: var(--dark-color) !important;
}


#navBarRow
{
  flex-wrap: nowrap;
}
.navSearchIcon
{
  width: 2rem;
}
.navSearchInputText
{
  width: calc(100% - 3rem);
}
.nav-brand-logo
{
  /*
  max-width:  30px;
  max-height:  30px;
  */
}

.tooltipText
{
  visibility: hidden;
  width: 0;
  height: 0;
  opacity: 0;
  transition: all 0.4s;
  z-index: 10;
  position: absolute;
  background: var(--navbar-bg-color);
  border-radius: 4px;
  padding-left: 7px;
  padding-right: 7px;
  color: black;
  left: 200%;
  pointer-events: none;
  z-index: 100;
}

/* -----------------------------------------------------------------------------
    Vertical Navbar
 -----------------------------------------------------------------------------*/
.vertical-nav
{
  font-family: 'Nunito' !important;
  height: 100%;
  min-width: 13rem;
  width: 13rem;
  position: fixed;
  top: 0;
  left: 0;
  box-shadow: 3px 3px 10px rgba(0, 0, 0, 0.1);
  transition: all 0.4s;
  z-index: 10;
}
.page-content
{
  width: calc(100% - 15rem);
  margin-left: 15rem;
  transition: all 0.4s;
}
/* for toggle behavior */
#pageContent.noAuth
{
  width: 100%;
  margin: 0;
}

#sidebar.active
{
  margin: 0 !important;
  width: 2.5rem;
  min-width: 2.5rem;
  z-index: 10;
}

#sidebar.active-mobile
{
  margin-left: -17rem;
  display: none;
}

#pageContent.active
{
  width:calc(100% - 2.5rem);
  margin: 0;
  margin-left: 2.5rem;
}
#pageContent.active-mobile
{
  width:100%;
  margin: 0;
}
.profile-data
{
  height: 110px;
  overflow: hidden;
}
.img-logo-lettering
{
  position:absolute;
  bottom: 5px;
  left: 50px;
  max-height: 50px;
  margin: 0 auto;
}
.sidebar-scroll
{
  max-height: calc(100% - 170px);
  overflow-y: scroll;
}

#sidebar-scroll.active
{
  max-height:100%;
  overflow: hidden;
}

.overflow-x-hidden
{
  overflow-x: hidden;
}

#not-icon
{
  visibility: visible;
  opacity: 1;
  transition: all 1s;
  line-height: 1;
  display: flex;
  align-items: center;
  margin-left: 10px;
}

#not-icon.active
{
  visibility: hidden;
  opacity: 0;
  transition: all 0.7s;
  width: 0;
  height: 0;
}

.tooltipText
{
  visibility: hidden;
  width: 0;
  height: 0;
  opacity: 0;
  transition: all 0.4s;
  z-index: 10;
  position: absolute;
  background: var(--navbar-bg-color);
  border-radius: 4px;
  padding-left: 7px;
  padding-right: 7px;
  color: black;
  left: 200%;
  pointer-events: none;
  z-index: 100;
}

.tooltipText.active
{
  width: auto;
  height: auto;
  visibility: visible;
  opacity: 1;
  transition: all 0.4s;
  left: 85%;
  z-index: 100;
  color: White;
}

hr
{
  margin: 5px 0;
}

/* -------------------------------------------------------------------------- */

.form-group
{
  margin-bottom: 10px;
}

.btn-primary
{
  background-color: var(--dark-purple);
  border: 1px solid var(--dark-purple);
}

.btn-primary:hover
{
  background-color: white;
  color: var(--light-purple);
  border: 1px solid var(--dark-purple);
}

.btn-link
{
  color: #2a2963;
}

.btn-info
{
  background-color: var(--dark-green);
}

.btn-warning
{
  background-color: var(--light-green);
  border: 1px solid var(--light-green);
}

.btn-warning:hover
{
  background-color: var(--dark-green);
  border: 1px solid var(--dark-green);
}

.alert-primary
{
  background-color: var(--light-green);
  color: var(--dark-purple);
  border: 2px solid var(--dark-green);
}

.login-card-header
{
  background-color: #2a2963;
  color: white;
}

.page-item.active .page-link
{
  background-color: #2a2963;
}

.pagination
{
  justify-content: center;
}

.page-title
{
  font-family: 'Nunito';
  font-weight: 700;
  font-size: 20pt;
}

.page-subtitle
{
  font-family: 'Nunito';
  font-weight: bold;
}

.card-group-update
{
  width: 200px;
  justify-content: space-evenly;
}

.btn-icon
{
  background-color: #17a2b8;
  color: white;
  border-radius: 5px;
  font-size: 14pt;
  border: 1px #17a2b8 solid;
}

.form-explanation
{
  text-align: center;
  font-weight: 700;
  font-size: 10pt;
  font-family: 'Nunito';
  font-variant-caps: small-caps;
  margin-bottom: 20px;
}

.div-filters
{
  border: 1px solid var(--dark-purple);
  background-color: #FAFAFA;
  width: 70%;
  border-radius: 20px;
  padding: 15px;
  margin: 10px auto;
}

.div-submit
{
  width: 100%;
  display: inline-flex;
}

.div-submit > button
{
  margin-left: auto;
  min-width: 200px;
}

.filter-label
{
  white-space: nowrap;
  font-size: 10pt;
  padding: 0;
  margin: auto;
}

.dropdown-divider
{
  border-color: var(--dark-purple);
}

.manager-container
{
  width: 80%;
  margin: 0 auto;
}


@media print
{
  .divLoading
  {
    display: none;
  }
}

.py-4
{
  height: 100%;
}

.company-logo
{
  max-width: 60%;
  margin: 20px auto;
  display: block;
}

.company-logo-small
{
  max-width: 80%;
  margin: 20px auto;
  display: block;
}

.preview-card-name
{
  font-weight: 900;
}

.div-preview-frame
{
  width: calc(68% - 10px);
  margin-right: 10px;
}

.div-preview-table
{
  width: 32%;
}

.frame-preview
{
  width: 100%;
  height: 100%;
}

.frame-preview-edit
{
  width: 720px;
  height: 1280px;
  border: 0;
  -ms-transform: scale(0.5);
  -moz-transform: scale(0.5);
  -o-transform: scale(0.5);
  -webkit-transform: scale(0.5);
  transform: scale(0.5);

  -ms-transform-origin: 0 0;
  -moz-transform-origin: 0 0;
  -o-transform-origin: 0 0;
  -webkit-transform-origin: 0 0;
  transform-origin: 0 0;
}

.div-preview-frame-edit
{
  width: 35%;
  height: auto;
  padding: 0;
  overflow: hidden;
}

.div-preview-table-edit
{
  width: calc(55% - 15px);
  margin-left: 15px;
}

.card-template
{
  margin: 10px;
  border-radius: 10px;
  border: 1px gray solid;
  padding: 10px;
  text-align: center;
}

.card-template-thumbnail
{
  width: 150px;
  height: 240px;
  margin-bottom: 10px;
}

.card-template-title
{
  font-variant: small-caps;
  font-weight: bolder;
  width: 150px;
  text-decoration: none;
  color: black;
}

.card-group-template
{
  background-color: var(--light-purple);
  margin: 10px;
  padding: 30px;
  text-align: center;
  min-width: 200px;
  color: white;
  font-weight: 700;
  font-family: 'Nunito';
  font-size: 30pt;
  border: 3px solid var(--light-purple);
  border-radius: 25px;
  font-size: 15pt;
  vertical-align: middle;
  text-decoration: none;
}

.card-group-template:hover
{
  border: 3px solid var(--light-purple);
  text-decoration: none;
  background-color: white;
  color: var(--light-purple);
}

.div-card-models
{
  flex-grow: 1;
  display: none;
  flex-direction: column;
}

a
{
  text-decoration: none;
  color: white;
}

a:hover
{
  text-decoration: none;
  color: #17a2b8;
}

.dataTables_length
{
  display: none;
}

.card-header
{
  background-color: var(--dark-purple);
  color: white;
}


.img-btn-home-menu-thumbnail
{
  margin:      5px;
  min-width:   70px;
  min-height:  70px;
  max-width:   70px;
  max-height:  70px;
  background-color: #eee;
  border: 1px solid #000;
  padding: 5px;
  border-radius: 35px;
}

.obg
{
  font-weight: 900;
}
